# Extended Bug Report Mode

This method can be used to show additional details in your bug reports. You can find more details on what it does here:

* [iOS](https://docs.luciq.ai/ios/setup-luciq-for-ios/setup-bug-reporting/setup-extended-bug-report)
* [Android](https://docs.luciq.ai/android/set-up-luciq-for-android/set-up-bug-reporting/extended-bug-report-for-android)
* [React Native](https://docs.luciq.ai/react-native/setup-luciq-for-react-native/setup-bug-reporting/setup-extended-bug-report)

There is a single argument for this method that determines if the mode is enabled or not. The possible options are:

* Disable extended bug report mode
* Enable extended bug report mode and set fields to required
* Enable extended bug report mode and set fields to optional

**Method**

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
BugReporting.extendedBugReportMode = .enabledWithRequiredFields
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
LCQBugReporting.extendedBugReportMode = LCQExtendedBugReportModeEnabledWithRequiredFields;
```

{% endtab %}

{% tab title="And - Java" %}

```java
BugReporting.setExtendedBugReportState(ExtendedBugReport.State.ENABLED_WITH_REQUIRED_FIELDS);
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
BugReporting.setExtendedBugReportState(ExtendedBugReport.State.ENABLED_WITH_REQUIRED_FIELDS)
```

{% endtab %}

{% tab title="RN" %}

```javascript
import { ExtendedBugReportMode } from '@luciq/react-native';

BugReporting.setExtendedBugReportMode(ExtendedBugReportMode.enabledWithRequiredFields;);
```

{% endtab %}

{% tab title="Flutter" %}

```csharp
BugReporting.setExtendedBugReportMode(ExtendedBugReportMode.enabledWithRequiredFields;);
```

{% endtab %}
{% endtabs %}

**Report Mode Options Parameters:**

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
//Disabled
.disabled
//Enabled and Required
.enabledWithRequiredFields
//Enabled and Optional
.enabledWithOptionalFields
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
//Disabled
LCQExtendedBugReportModeDisabled
//Enabled and Required
LCQExtendedBugReportModeEnabledWithRequiredFields
//Enabled and Optional
LCQExtendedBugReportModeEnabledWithOptionalFields
```

{% endtab %}

{% tab title="Android" %}

```java
//Disabled
ExtendedBugReport.State.DISABLED
//Enabled and Required
ExtendedBugReport.State.ENABLED_WITH_REQUIRED_FIELDS
//Enabled and Optional
ExtendedBugReport.State.ENABLED_WITH_OPTIONAL_FIELDS
```

{% endtab %}

{% tab title="RN" %}

```javascript
//Disabled
ExtendedBugReportMode.disabled
//Enabled and Required
ExtendedBugReportMode.enabledWithRequiredFields;
//Enabled and Optional
ExtendedBugReportMode.enabledWithOptionalFields
```

{% endtab %}

{% tab title="Flutter" %}

```dart
//Disabled
ExtendedBugReportMode.disabled
//Enabled and Required
ExtendedBugReportMode.enabledWithRequiredFields;
//Enabled and Optional
ExtendedBugReportMode.enabledWithOptionalFields
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luciq.ai/references/bug-reporting/extended-bug-report-mode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
